#ifndef AUD_FILE_H
#define AUD_FILE_H

#include <QBuffer>
#include <QFile>
#include <QObject>
#include <QString>
#include <QTimerEvent>

class AudFile : public QFile
{
    Q_OBJECT

private:

    qint64 offset;

public:

    AudFile(QObject *parent = 0);

    bool   openFile(const QString &path);
    bool   seek(qint64 off);
    qint64 size() const;

    ~AudFile();
};

#endif // AUD_FILE_H
